<template>
	<div v-if="loading" class="text-center">
		<h4>Loading...</h4>
	</div>
	<div v-else>
		<div>
			<div class="row">
				<div class="col-md-12">
					<form
						class="form-horizontal"
						action="#"
						method="post"
					>
						<div class="row">
							<div class="col-md-6">
								<div class="form-group" :class="showError('name')">
									<label for="name" class="col-sm-3 control-label">Name <span class="text-danger">(*)</span></label>

									<div class="col-sm-9">
										<input
											type="text"
											v-model="formData.name"
											name="name"
											class="form-control"
											id="name"
											placeholder="Name"
											v-validate="'required'"
										>
										<span v-show="errors.has('name')" class="help-block">
											<i class="fa fa-warning"></i>
											{{ errors.first('name') }}
										</span>
									</div>
								</div>
							</div>
							<div class="col-md-6">
								<div class="form-group">
									<label for="address" class="col-sm-3 control-label">Address</label>

									<div class="col-sm-9">
										<input
											type="text"
											class="form-control"
											id="address"
											name="address"
											placeholder
											v-model="formData.address"
										>
									</div>
								</div>
							</div>
						</div><!--end row-->
						<div class="row">
							<div class="col-md-6">
								<div class="form-group">
									<label for="email" class="col-sm-3 control-label">Email Address</label>

									<div class="col-sm-9">
										<input
											type="text"
											name="email"
											class="form-control"
											id="email"
											v-model="formData.email"
											readonly
											placeholder="Email"
										>
									</div>
								</div>
							</div>
							<div class="col-md-6">
								<div class="form-group" :class="showError('phone')">
									<label for="phone" class="col-sm-3 control-label">Phone</label>

									<div class="col-sm-9">
										<input
											type="text"
											class="form-control"
											id="phone"
											name="phone"
											v-validate="{regex: /((\+\d-\d{3}|-\d{3})|((\d{2}.|\d{2})*\d)|([\d)\d\s])|(\+))/}"
											placeholder="1-999-999-999"
											v-model="formData.phone"
										>
										<span v-show="errors.has('phone')" class="help-block">
                                <i class="fa fa-warning"></i>
                                {{ errors.first('phone') }}
                            </span>
									</div>
								</div>
							</div>
						</div><!--end row-->
						<div class="row">
							<div class="col-md-6">
								<div class="form-group">
									<label class="col-sm-3 control-label">Status</label>
									<div class="col-sm-3">
										<select
											class="form-control status select2"
											v-model="formData.status"
										>
											<!-- <option v-for="(item) in options" :value="item.id" :key="item.id">{{ item.text }}</option> -->
										</select>
									</div>
								</div>
							</div>
							<div class="col-md-6">
								<div class="form-group">
									<label for="remaining" class="col-sm-3 control-label">Remaining Point</label>

									<div class="col-sm-9">
										<label class="control-label">
											<span
												id="remaining"
												name="remaining"
											><i class="fa fa-star" aria-hidden="true"></i> {{remainingPoint}}  </span>
											<router-link v-show="isNeedAddMorePoint" :to="{ name:'Agencies-Management' }" class="addMorePoint"><i
												class="fa fa-plus"></i> Add more points
											</router-link>
										</label>
									</div>
								</div>
							</div>
						</div><!--end row-->
						<div class="row">
							<div class="col-md-6"></div>
							<div class="col-md-6">
								<div class="form-group">
									<label for="usage" class="col-sm-3 control-label">Point Usage</label>

									<div class="col-sm-9">
										<label class="control-label">
											<span
												id="usage"
												name="usage"
											><i class="fa fa-star" aria-hidden="true"></i> {{usagePoint}}</span>
										</label>
									</div>
								</div>
							</div>
						</div><!--end row-->
						<div class="row">
							<div class="col-md-6">
								<div class="form-group">
									<div class="col-sm-offset-3 col-sm-9">
										<button type="button" @click="validateForm" class="btn btn-danger">Save</button>
									</div>
								</div>
							</div>
						</div><!--end row-->
					</form>
				</div>
			</div>
		</div>
	</div>
</template>

<script src='./Edition.js'></script>
